EDIT - bug #5924

Change password leads to bad credentials
06/27/2016 05:04 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version:

Description

Changing the password currently does not login with new password and leads to a bad credentials exception.

Therefore we either need to change the credentials in the security context when changing the password in cdmlib (but only if the
currently logged in user is the same as the user the password was changed for) or we relogin via the TaxEditor (but no reconnect to

avoid "save unsaved changes".

Associated revisions

Revision 1c¢082d5b - 01/31/2017 12:10 PM - Katja Luther

fix #5924: reauthenticate after changing the password

History

#1 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#2 - 09/26/2016 09:57 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#3 - 12/01/2016 02:39 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#4 - 01/12/2017 04:31 PM - Andreas Miiller
- Description updated

- Assignee changed from Andreas Kohlbecker to Katja Luther

#5 - 01/19/2017 01:21 PM - Andreas Miller

- Target version changed from Release 4.5 to Release 4.6

#6 - 01/31/2017 12:10 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|1c082d5b9b3063e5be95e2520fdb6c4a62da2388.

#7 - 01/31/2017 12:11 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#8 - 02/16/2017 11:39 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

Seems to work

#9 - 02/21/2017 10:40 AM - Katja Luther
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/1c082d5b9b3063e5be95e2520fdb6c4a62da2388

- Status changed from Resolved to Closed

#10 - 03/11/2017 10:53 PM - Andreas Miiller

- Private changed from Yes to No
